org.apache.catalina.tribes.transport

## Class SenderState

- java.lang.Object
- - org.apache.catalina.tribes.transport.SenderState

-     public class SenderState
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FAILING`
    `protected static ConcurrentMap<Member,SenderState>` | `memberStates`
    `static int` | `READY`
    `static int` | `SUSPECT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SenderState` | `getSenderState(Member member)`
    `static SenderState` | `getSenderState(Member member, boolean create)`
    `boolean` | `isFailing()`
    `boolean` | `isReady()`
    `boolean` | `isSuspect()`
    `static void` | `removeSenderState(Member member)`
    `void` | `setFailing()`
    `void` | `setReady()`
    `void` | `setSuspect()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### READY

          public static final int READY

      See Also:
        Constant Field Values

    - #### SUSPECT

          public static final int SUSPECT

      See Also:
        Constant Field Values

    - #### FAILING

          public static final int FAILING

      See Also:
        Constant Field Values

    - #### memberStates

          protected static final ConcurrentMap<Member,SenderState> memberStates

  - ### Method Detail

    - #### getSenderState

          public static SenderState getSenderState(Member member)

    - #### getSenderState

          public static SenderState getSenderState(Member member,
                                   boolean create)

    - #### removeSenderState

          public static void removeSenderState(Member member)

    - #### isSuspect

          public boolean isSuspect()

      Returns:
        boolean

    - #### setSuspect

          public void setSuspect()

    - #### isReady

          public boolean isReady()

    - #### setReady

          public void setReady()

    - #### isFailing

          public boolean isFailing()

    - #### setFailing

          public void setFailing()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.